Orangutan - Enhancement #158

Extend architecture to support external notifiers

30 Mar 2010 16:22 - Andriy Lesyuk

Status: Closed Start date: 18 Jun 2010
Priority: Minor Due date: 20 Jun 2010
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.02

Description

Redmine is notifying users when something is happenning. This can be new issue assigned to a user, changes to an issue etc. Such
functionality is supported by Redmine native bot Messenger. To support this Orangutan should support external notifiers. These can
be a special users that is another bots (let’s call them “monkeys”). A monkey should be recognized by Orangutan as a special user.
By default contexts should not be added to monkey’s contexts collection - only special contexts developed for this monkey should be
used for it. To achieve this a special Redmine plugin should be developed which would notify Orangutan when something is

happening.

Related issues:

Related to Orangutan - Feature #605: SVN monkey

Open

History

#1 - 19 Jun 2010 00:28 - Andriy Lesyuk

- Start date set to 18 Jun 2010

- Target version set to 1.02

- Status changed from Open to In Progress

- % Done changed from 0 to 20

#2 - 21 Jun 2010 13:03 - Andriy Lesyuk
- % Done changed from 20 to 100
- Status changed from In Progress to Closed

- Due date set to 20 Jun 2010

#3 - 02 Mar 2011 22:57 - Andriy Lesyuk

- Tracker changed from Feature to Enhancement

05 Apr 2024

1/1



http://www.tcpdf.org

